Posts by fenir52

    hi everyone and sorry for my english


    Editing packages gives me the following error




    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF

    Building dependency tree...

    Reading state information...

    Calculating upgrade...

    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    2 not fully installed or removed.

    After this operation, 0 B of additional disk space will be used.

    Setting up shim-helpers-amd64-signed (1+15.4+5~deb10u1) ...

    debconf: unable to initialize frontend: Dialog

    debconf: (TERM is not set, so the dialog frontend is not usable.)

    debconf: falling back to frontend: Readline

    Installing for x86_64-efi platform.

    grub-install: warning: Cannot set EFI variable Boot0001.

    grub-install: warning:

    efivarfs_set_variable: writing to fd 8 failed: No space left on device.

    grub-install: warning: _efi_set_variable_mode: ops->set_variable() failed: No space left on device.

    grub-install: error: failed to register the EFI boot entry: No space left on device.

    dpkg: error processing package shim-helpers-amd64-signed (--configure):

    installed shim-helpers-amd64-signed package post-installation script subprocess returned error exit status 1

    dpkg: dependency problems prevent configuration of shim-signed:amd64:

    shim-signed:amd64 depends on shim-helpers-amd64-signed (>= 1+15.4+2~deb10u1); however:

    Package shim-helpers-amd64-signed is not configured yet.

    dpkg: error processing package shim-signed:amd64 (--configure):

    dependency problems - leaving unconfigured

    Errors were encountered while processing:

    shim-helpers-amd64-signed

    shim-signed:amd64

    <<< *************************************






    i tried various apt-get installs and removes but nothing


    thanks and sorry for the inconvenience :)

    hi everyone and sorry for my english


    Editing packages gives me the following error




    sudo apt-get clean && sudo apt-get autoremove

    Lettura elenco dei pacchetti ... Fatto

    Generazione albero delle dipendenze

    Lettura informazioni sullo stato ... Fatto

    I seguenti pacchetti saranno RIMOSSI:

    openmediavault-nut

    0 aggiornati, 0 installati, 1 da rimuovere e 0 non aggiornati.

    3 non completamente installati o rimossi.

    Dopo quest'operazione, verranno liberati 282 kB di spazio su disco.

    Continuare? [S / n] s

    (Lettura del database ... 101479 file e directory attualmente installati.)

    Rimozione di openmediavault-nut (5.2.1-1) ...

    debian:

    Impossibile compilare i dati:

    ----------

    Rendering SLS "base: omv.deploy.monit.default" non riuscito: errore Jinja: tls: valore "0" non valido, i valori consentiti sono "none, ssl, starttls, auto".

    Traceback (la chiamata più recente per ultima):

    File "/usr/lib/python3/dist-packages/salt/utils/templates.py", riga 497, in render_jinja_tmpl

    output = template.render (** decoded_context)

    File "/usr/lib/python3/dist-packages/jinja2/asyncsupport.py", riga 76, nel rendering

    return original_render (self, * args, ** kwargs)

    File "/usr/lib/python3/dist-packages/jinja2/environment.py", riga 1008, nel rendering

    return self.environment.handle_exception (exc_info, True)

    File "/usr/lib/python3/dist-packages/jinja2/environment.py", riga 780, in handle_exception

    reraise (exc_type, exc_value, tb)

    File "/usr/lib/python3/dist-packages/jinja2/_compat.py", riga 37, in reraise

    aumentare il valore. con_traceback (tb)

    File "<template>", riga 37, nel codice del modello di primo livello

    File "/usr/lib/python3/dist-packages/jinja2/sandbox.py", riga 438, in chiamata

    return __context.call (__ obj, * args, ** kwargs)

    File "/usr/lib/python3/dist-packages/salt/loader.py", riga 1235, in __call__

    return self.loader.run (run_func, * args, ** kwargs)

    File "/usr/lib/python3/dist-packages/salt/loader.py", riga 2268, in esecuzione

    return self._last_context.run (self._run_as, _func_or_method, * args, ** kwargs)

    File "/usr/lib/python3/dist-packages/salt/loader.py", riga 2283, in _run_as

    return _func_or_method (* args, ** kwargs)

    File "/var/cache/salt/minion/extmods/modules/omv_conf.py", riga 39, in get

    objs = db.get (id_, identificatore)

    File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", riga 85, in get

    query.execute ()

    File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", riga 726, in esecuzione

    self._response = self._elements_to_object (elementi)

    File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", riga 487, in _elements_to_object

    result.validate ()

    File "/usr/lib/python3/dist-packages/openmediavault/config/object.py", riga 236, in convalida

    self.model.validate (self.get_dict ())

    File "/usr/lib/python3/dist-packages/openmediavault/config/datamodel.py", riga 202, in convalida

    self.schema.validate (dati)

    File "/usr/lib/python3/dist-packages/openmediavault/json/schema.py", riga 175, in convalida

    self._validate_type (valore, schema, nome)

    File "/usr/lib/python3/dist-packages/openmediavault/json/schema.py", riga 229, in _validate_type

    alza last_exception

    File "/usr/lib/python3/dist-packages/openmediavault/json/schema.py", riga 200, in _validate_type

    self._validate_object (valore, schema, nome)

    File "/usr/lib/python3/dist-packages/openmediavault/json/schema.py", riga 305, in _validate_object

    self._check_properties (valore, schema, nome)

    File "/usr/lib/python3/dist-packages/openmediavault/json/schema.py", riga 519, in _check_properties

    self._validate_type (value [propk], propv, path)

    File "/usr/lib/python3/dist-packages/openmediavault/json/schema.py", riga 229, in _validate_type

    alza last_exception

    File "/usr/lib/python3/dist-packages/openmediavault/json/schema.py", riga 209, in _validate_type

    self._validate_string (valore, schema, nome)

    File "/usr/lib/python3/dist-packages/openmediavault/json/schema.py", riga 284, in _validate_string

    self._check_enum (valore, schema, nome)

    File "/usr/lib/python3/dist-packages/openmediavault/json/schema.py", riga 475, in _check_enum

    % (valuev, "," .join (map (str, schema ['enum']))),

    openmediavault.json.schema.SchemaValidationException: tls: valore "0" non valido, i valori consentiti sono "none, ssl, starttls, auto".


    ; linea 37


    ---

    [...]

    # http://www.debianadmin.com/mon…-servers-using-monit.html

    # http://www.uibk.ac.at/zid/systeme/linux/monit.html

    # http://wiki.ubuntuusers.de/Monit

    # http://viktorpetersson.com/201…-and-postgresql-on-ubuntu


    {% set email_config = salt ['omv_conf.get'] ('conf.system.notification.email')%} <======================


    configure_default_monit:

    file.managed:

    - nome: "/ etc / default / monit"

    - Contenuti:

    [...]

    ---

    dpkg: errore nell'elaborare il pacchetto openmediavault-nut (--remove):

    il sottoprocesso installato pacchetto openmediavault-nut script post-removal ha restituito lo stato di errore 1

    Si sono verificati degli errori nell'elaborazione:

    openmediavault-nut

    E: il processo secondario / usr / bin / dpkg ha restituito un codice di errore (1)



    i tried various apt-get installs and removes but nothing


    thanks and sorry for the inconvenience :)